#include <iostream>
#include <string>
using namespace std;

const int MAXP = 10;

int players[MAXP+1];
int n;
string rolls;

void initPlayers()
{
	for(int i=0; i<n; i++)
		players[i] = 3;
	players[n] = 0;
}

int processRoll(int p, int i)
{
	int left = (p+1)%n;
	int right = (p-1);
	if (right<0)
		right += n;
	int maxr = 3;
	if (players[p] < maxr)
		maxr = players[p];
	for(int j=0; j<maxr; j++) {
		switch (rolls[i+j]) {
		case 'L' : players[left]++; players[p]--; break;
		case 'R' : players[right]++; players[p]--; break;
		case 'C' : players[n]++; players[p]--; break;
		}
	}
	int count=0;
	int winner;
	for(int j=0; j<n; j++)
		if (players[j] == 0)
			count++;
		else
			winner = (j+1);
	if (count == n-1)
		return -winner;
	else
		return i+maxr;
}

int main()
{
	int iGame=0;
	cin >> n;
	while (n > 0) {
		iGame++;
		cin >> rolls;
		initPlayers();
		int p=0, iRoll=0;
		while(iRoll >= 0 && rolls.length()-iRoll >= min(3,players[p])) {
			iRoll = processRoll(p, iRoll);
			p = (p+1)%n;
		}
		cout << "Game " << iGame << ":" << endl;
		for(int i=0; i<n; i++) {
			cout << "Player " << i+1 << ":" << players[i];
			if (i+1 == -iRoll)
				cout << "(W)";
			else if(iRoll>=0 && i==p)
				cout << "(*)";
			cout << endl;
		}
		cout << "Center:" << players[n] << endl;

		cin >> n;
		if (n>0)
			cout << endl;
	}
	return 0;
}
